Index: ThirdParty/vmg/test/unit_test/Makefile.am
===================================================================
--- ThirdParty/vmg/test/unit_test/Makefile.am	(revision 7faa5c793164ff799487bb1193ab2a18a3a7e2fb)
+++ ThirdParty/vmg/test/unit_test/Makefile.am	(revision 7faa5c793164ff799487bb1193ab2a18a3a7e2fb)
@@ -0,0 +1,163 @@
+if COND_HAVE_BOOST_UNIT_TEST
+
+AM_CPPFLAGS = -I$(top_srcdir)/src -I$(top_srcdir)/test/unit_test -I$(top_srcdir)/test/interfaces $(VTK_CXXFLAGS) $(BOOST_CPPFLAGS)
+AM_LDFLAGS = $(BOOST_UNIT_TEST_FRAMEWORK_LDFLAGS)
+TESTLIBS = \
+	$(BOOST_UNIT_TEST_FRAMEWORK_LIBS) \
+	$(LIBVMG) \
+	libinterfaces.a \
+	$(VTK_LDFLAGS) \
+	$(VTK_LIBS)
+
+if HAVE_LAPACK
+TESTLIBS += \
+	$(LAPACK_LIBS) \
+	$(BLAS_LIBS) \
+	$(FCLIBS)
+endif
+
+noinst_LTLIBRARIES = libvmg_testhelper.la
+libvmg_testhelper_la_SOURCES = \
+	unit_test/unit_test/smoother_fixture.cpp \
+	unit_test/unit_test/smoother_fixture.hpp
+libvmg_testhelper_la_CPPFLAGS = $(AM_CPPFLAGS)
+libvmg_testhelper_la_LDFLAGS = $(AM_LDFLAGS)
+
+BOOSTTESTS = \
+	InterpolateSuite \
+	InterpolateFieldSuite \
+	LibraryDirichletFASLRTest \
+	LibraryDirichletCSTest \
+	LibraryPeriodicCSTest \
+	LibraryPeriodicFASTest \
+	LibraryForceSinusTest \
+	LibraryDirichletCSMPITest \
+	LibraryPeriodicFASMPITest \
+	LibraryPeriodicCSMPITest \
+	LibraryDirichletFASTest \
+	LibraryDirichletFASLRMPITest \
+	LibraryOpenFASMPITest \
+	LibraryDirichletFASMPITest \
+	SmootherGSLexTest \
+	SmootherGSRBTest
+
+NONFUNCTIONINGTESTS = \
+	LibraryForceSinusUnitTest
+
+noinst_PROGRAMS += $(BOOSTTESTS) \
+	LibraryForceSinusUnitTest
+
+check_PROGRAMS += $(BOOSTTESTS) \
+	LibraryForceSinusUnitTest
+
+TESTS += $(BOOSTTESTS)
+
+LibraryDirichletFASLRTest_SOURCES = \
+	unit_test/boost_test.cpp \
+	unit_test/library/dirichlet_fas_lr.cpp
+LibraryDirichletFASLRTest_CPPFLAGS=$(AM_CPPFLAGS)
+LibraryDirichletFASLRTest_LDFLAGS = $(AM_LDFLAGS)
+LibraryDirichletFASLRTest_LDADD = $(TESTLIBS)
+LibraryDirichletCSTest_SOURCES = \
+	unit_test/boost_test.cpp \
+	unit_test/library/dirichlet_cs.cpp
+LibraryDirichletCSTest_CPPFLAGS=$(AM_CPPFLAGS)
+LibraryDirichletCSTest_LDFLAGS = $(AM_LDFLAGS)
+LibraryDirichletCSTest_LDADD = $(TESTLIBS)
+LibraryPeriodicCSTest_SOURCES = \
+	unit_test/boost_test.cpp \
+	unit_test/library/periodic_cs.cpp
+LibraryPeriodicCSTest_CPPFLAGS=$(AM_CPPFLAGS)
+LibraryPeriodicCSTest_LDFLAGS = $(AM_LDFLAGS)
+LibraryPeriodicCSTest_LDADD = $(TESTLIBS)
+LibraryPeriodicFASTest_SOURCES = \
+	unit_test/boost_test.cpp \
+	unit_test/library/periodic_fas.cpp
+LibraryPeriodicFASTest_CPPFLAGS=$(AM_CPPFLAGS)
+LibraryPeriodicFASTest_LDFLAGS = $(AM_LDFLAGS)
+LibraryPeriodicFASTest_LDADD = $(TESTLIBS)
+LibraryForceSinusTest_SOURCES = \
+	unit_test/boost_test.cpp \
+	unit_test/library/force_sinus.cpp
+LibraryForceSinusTest_CPPFLAGS=$(AM_CPPFLAGS)
+LibraryForceSinusTest_LDFLAGS = $(AM_LDFLAGS)
+LibraryForceSinusTest_LDADD = $(TESTLIBS)
+LibraryDirichletCSMPITest_SOURCES = \
+	unit_test/boost_test.cpp \
+	unit_test/library/dirichlet_cs_mpi.cpp
+LibraryDirichletCSMPITest_CPPFLAGS=$(AM_CPPFLAGS)
+LibraryDirichletCSMPITest_LDFLAGS = $(AM_LDFLAGS)
+LibraryDirichletCSMPITest_LDADD = $(TESTLIBS)
+LibraryPeriodicFASMPITest_SOURCES = \
+	unit_test/boost_test.cpp \
+	unit_test/library/periodic_fas_mpi.cpp
+LibraryPeriodicFASMPITest_CPPFLAGS=$(AM_CPPFLAGS)
+LibraryPeriodicFASMPITest_LDFLAGS = $(AM_LDFLAGS)
+LibraryPeriodicFASMPITest_LDADD = $(TESTLIBS)
+LibraryPeriodicCSMPITest_SOURCES = \
+	unit_test/boost_test.cpp \
+	unit_test/library/periodic_cs_mpi.cpp
+LibraryPeriodicCSMPITest_CPPFLAGS=$(AM_CPPFLAGS)
+LibraryPeriodicCSMPITest_LDFLAGS = $(AM_LDFLAGS)
+LibraryPeriodicCSMPITest_LDADD = $(TESTLIBS)
+LibraryDirichletFASTest_SOURCES = \
+	unit_test/boost_test.cpp \
+	unit_test/library/dirichlet_fas.cpp
+LibraryDirichletFASTest_CPPFLAGS=$(AM_CPPFLAGS)
+LibraryDirichletFASTest_LDFLAGS = $(AM_LDFLAGS)
+LibraryDirichletFASTest_LDADD = $(TESTLIBS)
+LibraryDirichletFASLRMPITest_SOURCES = \
+	unit_test/boost_test.cpp \
+	unit_test/library/dirichlet_fas_lr_mpi.cpp
+LibraryDirichletFASLRMPITest_CPPFLAGS=$(AM_CPPFLAGS)
+LibraryDirichletFASLRMPITest_LDFLAGS = $(AM_LDFLAGS)
+LibraryDirichletFASLRMPITest_LDADD = $(TESTLIBS)
+LibraryOpenFASMPITest_SOURCES = \
+	unit_test/boost_test.cpp \
+	unit_test/library/open_fas_mpi.cpp
+LibraryOpenFASMPITest_CPPFLAGS=$(AM_CPPFLAGS)
+LibraryOpenFASMPITest_LDFLAGS = $(AM_LDFLAGS)
+LibraryOpenFASMPITest_LDADD = $(TESTLIBS)
+LibraryDirichletFASMPITest_SOURCES = \
+	unit_test/boost_test.cpp \
+	unit_test/library/dirichlet_fas_mpi.cpp
+LibraryDirichletFASMPITest_CPPFLAGS=$(AM_CPPFLAGS)
+LibraryDirichletFASMPITest_LDFLAGS = $(AM_LDFLAGS)
+LibraryDirichletFASMPITest_LDADD = $(TESTLIBS)
+InterpolateSuite_SOURCES = \
+	unit_test/boost_test.cpp \
+	unit_test/unit_test/interpolate_test.cpp
+InterpolateSuite_CPPFLAGS=$(AM_CPPFLAGS)
+InterpolateSuite_LDFLAGS = $(AM_LDFLAGS)
+InterpolateSuite_LDADD = $(TESTLIBS)
+InterpolateFieldSuite_SOURCES = \
+	unit_test/boost_test.cpp \
+	unit_test/unit_test/interpolate_field_test.cpp
+InterpolateFieldSuite_CPPFLAGS=$(AM_CPPFLAGS)
+InterpolateFieldSuite_LDFLAGS = $(AM_LDFLAGS)
+InterpolateFieldSuite_LDADD = $(TESTLIBS)
+LibraryForceSinusUnitTest_SOURCES = \
+	unit_test/boost_test.cpp \
+	unit_test/unit_test/force_sinus_unit_test.cpp
+LibraryForceSinusUnitTest_CPPFLAGS=$(AM_CPPFLAGS)
+LibraryForceSinusUnitTest_LDFLAGS = $(AM_LDFLAGS)
+LibraryForceSinusUnitTest_LDADD = $(TESTLIBS)
+SmootherGSLexTest_SOURCES = \
+	unit_test/boost_test.cpp \
+	unit_test/unit_test/smoother_lex_test.cpp
+SmootherGSLexTest_CPPFLAGS=$(AM_CPPFLAGS)
+SmootherGSLexTest_LDFLAGS = $(AM_LDFLAGS)
+SmootherGSLexTest_LDADD = \
+	libvmg_testhelper.la \
+	$(TESTLIBS)
+SmootherGSRBTest_SOURCES = \
+	unit_test/boost_test.cpp \
+	unit_test/unit_test/smoother_rb_test.cpp
+SmootherGSRBTest_CPPFLAGS=$(AM_CPPFLAGS)
+SmootherGSRBTest_LDFLAGS = $(AM_LDFLAGS)
+SmootherGSRBTest_LDADD = \
+	libvmg_testhelper.la \
+	$(TESTLIBS)
+
+endif
+
